
# The default Mint category.
DEFAULT_MINT_CATEGORY = 'Shopping'

# The default return category.
DEFAULT_MINT_RETURN_CATEGORY = 'Returned Purchase'

# A category mapping of Amazon Order History "Categories" into Mint
# "Categories".
AMAZON_TO_MINT_CATEGORY = {
    'Accessory': DEFAULT_MINT_CATEGORY,
    'Apparel': 'Clothing',
    'Audio CD': 'Music',
    'Automotive': 'Auto & Transport',
    'Baby Product': 'Baby Supplies',
    'Blu-ray': 'Movies & DVDs',
    'CD-ROM': 'Music',
    'Camera': 'Electronics & Software',
    'Electronics': 'Electronics & Software',
    'Eyewear': 'Eyecare',
    'Grocery': 'Groceries',
    'Hardcover': 'Books',
    'Health and Beauty': 'Personal Care',
    'Home': 'Home',
    'Kitchen': DEFAULT_MINT_CATEGORY,
    'Lawn & Patio': 'Lawn & Garden',
    'Luggage': DEFAULT_MINT_CATEGORY,
    'Mass Market Paperback': 'Books',
    'Misc.': DEFAULT_MINT_CATEGORY,
    'Office Product': 'Office Supplies',
    'Paperback': 'Books',
    'Personal Computers': 'Electronics & Software',
    'Print on Demand': DEFAULT_MINT_CATEGORY,
    'Shoes': 'Clothing',
    'Software Download': 'Electronics & Software',
    'Sports': 'Sporting Goods',
    'Sports Apparel': 'Sporting Goods',
    'T-shirt': 'Clothing',
    'Tools & Hardware': 'Home',
    'Tools & Home Improvement': 'Home Improvement',
    'Toy': 'Toys',
    'Video Game': 'Electronics & Software',
    'Watch': DEFAULT_MINT_CATEGORY,
    'Wine': 'Alcohol & Bars',
    'Wireless Phone Accessory': 'Electronics & Software',
}

# Pulled early 2018.
DEFAULT_MINT_CATEGORIES_TO_IDS = {
    'ATM Fee': 1605,
    'Advertising': 1701,
    'Air Travel': 1501,
    'Alcohol & Bars': 708,
    'Allowance': 610,
    'Amusement': 102,
    'Arts': 101,
    'Auto & Transport': 14,
    'Auto Insurance': 1405,
    'Auto Payment': 1404,
    'Baby Supplies': 611,
    'Babysitter & Daycare': 602,
    'Bank Fee': 1606,
    'Bills & Utilities': 13,
    'Bonus': 3004,
    'Books': 202,
    'Books & Supplies': 1003,
    'Business Services': 17,
    'Buy': 5004,
    'Cash & ATM': 2001,
    'Charity': 802,
    'Check': 2002,
    'Child Support': 603,
    'Clothing': 201,
    'Coffee Shops': 704,
    'Credit Card Payment': 2101,
    'Dentist': 501,
    'Deposit': 5001,
    'Dividend & Cap Gains': 5003,
    'Doctor': 502,
    'Education': 10,
    'Electronics & Software': 204,
    'Entertainment': 1,
    'Eyecare': 503,
    'Fast Food': 706,
    'Federal Tax': 1901,
    'Fees & Charges': 16,
    'Finance Charge': 1604,
    'Financial': 11,
    'Financial Advisor': 1105,
    'Food & Dining': 7,
    'Furnishings': 1201,
    'Gas & Fuel': 1401,
    'Gift': 801,
    'Gifts & Donations': 8,
    'Groceries': 701,
    'Gym': 507,
    'Hair': 403,
    'Health & Fitness': 5,
    'Health Insurance': 506,
    'Hide from Budgets & Trends': 40,
    'Hobbies': 206,
    'Home': 12,
    'Home Improvement': 1203,
    'Home Insurance': 1206,
    'Home Phone': 1302,
    'Home Services': 1204,
    'Home Supplies': 1208,
    'Hotel': 1502,
    'Income': 30,
    'Interest Income': 3005,
    'Internet': 1303,
    'Investments': 50,
    'Kids': 6,
    'Kids Activities': 609,
    'Kitchen': 1562103,
    'Late Fee': 1602,
    'Laundry': 406,
    'Lawn & Garden': 1202,
    'Legal': 1705,
    'Life Insurance': 1102,
    'Loan Fees and Charges': 6005,
    'Loan Insurance': 6002,
    'Loan Interest': 6004,
    'Loan Payment': 6001,
    'Loan Principal': 6003,
    'Loans': 60,
    'Local Tax': 1903,
    'Misc Expenses': 70,
    'Mobile Phone': 1304,
    'Mortgage & Rent': 1207,
    'Movies & DVDs': 104,
    'Music': 103,
    'Newspapers & Magazines': 105,
    'Office Supplies': 1702,
    'Orthodontics': 1671958,
    'Parking': 1402,
    'Paycheck': 3001,
    'Personal Care': 4,
    'Pet Food & Supplies': 901,
    'Pet Grooming': 902,
    'Pets': 9,
    'Pharmacy': 505,
    'Printing': 1703,
    'Property Tax': 1905,
    'Public Transportation': 1406,
    'Rail': 1562093,
    'Reimbursement': 3006,
    'Rental Car & Taxi': 1503,
    'Rental Income': 3007,
    'Restaurants': 707,
    'Returned Purchase': 3003,
    'Sales Tax': 1904,
    'Sell': 5005,
    'Service & Parts': 1403,
    'Service Fee': 1601,
    'Shipping': 1704,
    'Shopping': 2,
    'Spa & Massage': 404,
    'Sporting Goods': 207,
    'Sports': 508,
    'State Tax': 1902,
    'Student Loan': 1002,
    'Taxes': 19,
    'Television': 1301,
    'Toys': 606,
    'Trade Commissions': 1607,
    'Transfer': 21,
    'Transfer for Cash Spending': 2102,
    'Travel': 15,
    'Tuition': 1001,
    'Uncategorized': 20,
    'Utilities': 1306,
    'Vacation': 1504,
    'Veterinary': 903,
    'Withdrawal': 5002,
}
